Subject: Re: linux-next: build failure after merge of the gpio tree

From: Jisheng Zhang <[email-masked]>
Date: Wed, 21 Jun 2017 14:12:41 +0800

On Wed, 21 Jun 2017 16:09:34 +1000
Stephen Rothwell <[email-masked]> wrote:

> Hi Linus,
> 
> After merging the gpio tree, today's linux-next build (arm
> multi_v7_defconfig) failed like this:
> 
> drivers/gpio/gpio-dwapb.c: In function 'dwapb_irq_set_type':
> drivers/gpio/gpio-dwapb.c:291:2: error: stray '\357' in program
>   if （type != IRQ_TYPE_EDGE_BOTH）
>   ^
> drivers/gpio/gpio-dwapb.c:291:2: error: stray '\274' in program
> drivers/gpio/gpio-dwapb.c:291:2: error: stray '\210' in program
> drivers/gpio/gpio-dwapb.c:291:8: error: expected '(' before 'type'
>   if （type != IRQ_TYPE_EDGE_BOTH）
>         ^
> drivers/gpio/gpio-dwapb.c:291:8: warning: statement with no effect [-Wunused-value]
> drivers/gpio/gpio-dwapb.c:291:8: error: stray '\357' in program
> drivers/gpio/gpio-dwapb.c:291:8: error: stray '\274' in program
> drivers/gpio/gpio-dwapb.c:291:8: error: stray '\211' in program

oops, I see this error as well, Xiaoguang uses Chinese "()" instead of
ASII "()", I fixed it locally but I forget to mention it.